<mat-card class="sale-card">
  <mat-card-header>
    <mat-card-title>Market-based Household Purchases of Residential Dwellings by Dwelling Status, Stamp Duty Event, RPPI Region and Type of Buyer</mat-card-title>
  </mat-card-header>

<mat-form-field appearance="fill" class="sale-select">
  <mat-label for="dwellingStatusFilter">Select a dwelling status filter</mat-label>
  <mat-select id="dwellingStatusFilter" name="dwellingStatusFilter" [(value)]="selectedFirstFilter" (selectionChange)="onFilterChangeDwelling($event)">
    <mat-option *ngFor="let option of firstFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
</mat-form-field>

<mat-form-field appearance="fill" class="sale-select">
  <mat-label for="stampDutyEventsFilter">Select a Stamp Duty Event filter</mat-label>
  <mat-select id="stampDutyEventsFilter" name="stampDutyEventsFilter" [(value)]="selectedSecondFilter" (selectionChange)="onFilterChangeStamp($event)">
    <mat-option *ngFor="let option of secondFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
</mat-form-field>

<mat-form-field appearance="fill" class="sale-select">
  <mat-label for="RPPIRegionFilter">Select a RPPI Region filter</mat-label>
  <mat-select id="RPPIRegionFilter" name="RPPIRegionFilter" [(value)]="selectedThirdFilter" (selectionChange)="onFilterChangeRPPI($event)">
    <mat-option *ngFor="let option of thirdFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
</mat-form-field>

<mat-form-field appearance="fill" class="sale-select">
  <mat-label for="buyerType">Select a type of Buyer filter</mat-label>
  <mat-select id="buyerType" name="buyerType" [(value)]="selectedFourthFilter" (selectionChange)="onFilterChangeBuyer($event)">
    <mat-option *ngFor="let option of fourthFilterOption | keyvalue" [value]="option.value">{{option.key}}</mat-option>
  </mat-select>
</mat-form-field>

  <mat-card-content>
    <div id="dwellingSalesVolumeContainer"></div>
  </mat-card-content>
</mat-card>
